<?php

static $wpob_template_type = 'video-email-optin';

// Defaults

if($wpob_default_fields == '' or $wpob_default_fields['defaults'] == 'defaults'){
    $wpob_default_fields = array(
            'box_container_bg_color' => '#4B4B4B',
            'box_container_width' => '600px',
            'box_container_height' => '',
            'box_container_border_width' => '',
            'box_container_border_color' => '',
            'box_container_margin_top' => '',
            'box_container_margin_bottom' => '',
            'box_container_margin_left' => '',
            'box_container_margin_right' => '',


            'heading_text'  => 'Start Measuring What Matters',
            'heading_font_familiy'  => 'Arial',
            'heading_font_size' => '22px',
            'heading_line_height'   => '30px',
            'heading_color' => '#fff',
            'heading_bg_color' => '',
            'heading_align' => 'left',

            'content_text' => 'Stop tracking what is easy and start tracking what matters. Watch the video now and download your copy of our eBook guide now. Just fill in your details below and click on "Click Here To Download Now".',
            'content_font_familiy'  => 'Arial',
            'content_font_size' => '16px',
            'content_line_height' => '24px',
            'content_color' => '#fff',
            'content_align' => 'left',

            'button_text' => 'Click Here To Download Now',
            'button_type' => 'wpob_button_flat',
            'button_text_font_familiy'  => 'Arial',
            'button_text_font_size' => '16px',
            'button_text_color' => '#fff',
            'button_bg_color' => '#00d5ed',
            'button_border_radius' => '0px',
            'button_align' => 'left',
            'button_link' => 'http://wpoptinboxes.com',
            'button_width' => '',
            'button_target_blank' => true,

            'video_site' => 'youtube',
            'video_id' => 'enteridhere',
            'video_width' => '300px',
            'video_height' => '250px',
            'video_align' => 'left',
        
            'input_text_size' => '16px',
            'input_text_color' => '#999',
            'input_font_family' => 'Arial',
            'input_name_placeholder' => 'Name here...',
            'input_email_placeholder' => 'Email address here...',
            'input_width' => '170px',
            'input_mailer_id' => '',
            'input_campaign_name' => ''
    );
}        

//Important

$wpob_default_fields['use_heading'] = true;
$wpob_default_fields['use_content'] = true;
$wpob_default_fields['use_video'] = true;
$wpob_default_fields['use_input'] = true;

switch ($wpob_default_fields['video_site']) {
    case 'youtube': $video_url = '//www.youtube.com/embed/'.$wpob_default_fields['video_id'];
                    break;
    case 'vimeo':   $video_url = '//player.vimeo.com/video/'.$wpob_default_fields['video_id']."?title=0&amp;byline=0&amp;portrait=0&amp;color=ffffff";
                    break;
}

?>


<style>
    
    .wpob_template_main_<?php echo $box_id; ?>{
        background-color: <?php echo $wpob_default_fields['box_container_bg_color']; ?>;
        max-width: <?php echo $wpob_default_fields['box_container_width']; ?>;
        height: <?php echo $wpob_default_fields['box_container_height']; ?>;
        border-width: <?php echo $wpob_default_fields['box_container_border_width']; ?>;
        border-color: <?php echo $wpob_default_fields['box_container_border_color']; ?>;
        margin-top: <?php echo $wpob_default_fields['box_container_margin_top']; ?>;
        margin-bottom: <?php echo $wpob_default_fields['box_container_margin_bottom']; ?>;
        margin-left: <?php echo $wpob_default_fields['box_container_margin_left']; ?>;
        margin-right: <?php echo $wpob_default_fields['box_container_margin_right']; ?>;
        padding: 20px;
        -webkit-box-shadow: inset 0px 0px 24px 1px rgba(0,0,0,0.75);
        -moz-box-shadow: inset 0px 0px 24px 1px rgba(0,0,0,0.75);
        box-shadow: inset 0px 0px 24px 1px rgba(0,0,0,0.75);
        
    }
    
    .wpob_template_main_<?php echo $box_id; ?> .wpob_box_heading{
        background-color: <?php echo $wpob_default_fields['heading_bg_color']; ?>;
        padding-top: 0px;
    }
    
    .wpob_template_main_<?php echo $box_id; ?> .wpob_box_heading_text{
        font-family:    '<?php echo $wpob_default_fields['heading_font_familiy']; ?>', serif;
        font-size:      <?php echo $wpob_default_fields['heading_font_size']; ?>;
        line-height:    <?php echo $wpob_default_fields['heading_line_height']; ?>;
        color:          <?php echo $wpob_default_fields['heading_color']; ?>;
        text-align:     <?php echo $wpob_default_fields['heading_align']; ?>;
        text-transform: uppercase;
        font-weight: 900;
        margin: 0;
    }
    
    .wpob_template_main_<?php echo $box_id; ?> .wpob_box_media_container{
        display: inline-block;
        width: <?php echo $wpob_default_fields['video_width']; ?>;
        height: <?php echo $wpob_default_fields['video_height']; ?>;
    }
    
    .wpob_template_main_<?php echo $box_id; ?> .wpob_box_content_container{
        
    }    
    
    .wpob_template_main_<?php echo $box_id; ?> input.wpob_input_fields{
        width: <?php echo $wpob_default_fields['input_width']; ?>;
        line-height: 36px;
        margin-right: 5px;
        border: 1px #ddd solid;
        vertical-align: middle;
        font-size:  <?php echo $wpob_default_fields['input_text_size']; ?>;
        color:      <?php echo $wpob_default_fields['input_text_color']; ?>;
        font-size:  <?php echo $wpob_default_fields['input_font_family']; ?>;
        padding: 0px 8px;
    }
    
    .wpob_template_main_<?php echo $box_id; ?> .wpob_box_video{
        width: 100%;
        height: 100%;
        padding: 0px;
        margin: 0px;
        border: none;
        box-shadow: none;
            
    }
    
    .wpob_template_main_<?php echo $box_id; ?> .wpob_box_media_center{
        display: block;
        margin: 0 auto;
        padding: 0 0 20px 0;
    }
    
    .wpob_template_main_<?php echo $box_id; ?> .wpob_box_media_right{
        float: right;
        padding: 0px 0px 20px 30px;
    }
    
    .wpob_template_main_<?php echo $box_id; ?> .wpob_box_media_left{
        float: left;
        padding: 0px 30px 20px 0px;
    }
    
    .wpob_template_main_<?php echo $box_id; ?> .wpob_box_content{
        font-family:    <?php echo $wpob_default_fields['content_font_familiy']; ?>;
        font-size:      <?php echo $wpob_default_fields['content_font_size']; ?>;
        line-height:    <?php echo $wpob_default_fields['content_line_height']; ?>;
        color:          <?php echo $wpob_default_fields['content_color']; ?>;
        text-align:     <?php echo $wpob_default_fields['content_align']; ?>;
        padding: 20px 0px;
    }
    
    .wpob_template_main_<?php echo $box_id; ?> .wpob_box_button_div{
        text-align: <?php echo $wpob_default_fields['button_align']; ?>;
        padding: 0px 0 20px 0;
    }
    
    .wpob_template_main_<?php echo $box_id; ?> .wpob_box_button_div a.wpob_box_button, .wpob_template_main_<?php echo $box_id; ?> .wpob_box_button_div button.wpob_box_button{
        font-family:    <?php echo $wpob_default_fields['button_text_font_familiy']; ?>;
        font-size:      <?php echo $wpob_default_fields['button_text_font_size']; ?>;
        color:          <?php echo $wpob_default_fields['button_text_color']; ?>;
        background-color: <?php echo $wpob_default_fields['button_bg_color']; ?>;
        border-radius: <?php echo $wpob_default_fields['button_border_radius']; ?>;
        width: <?php echo $wpob_default_fields['button_width']; ?>;
        padding: 10px 15px;
    }
    
    <?php echo $wpob_default_fields['button_type_css']; ?>
    
    <?php echo (isset($wpob_default_fields['custom_css'])) ? $wpob_default_fields['custom_css'] : ""; ?>
    
</style>


<div class="wpob_template_main wpob_template_main_<?php echo $box_id; ?> <?php echo $wpob_settings_data['box_fade_in']." ".$wpob_settings_data['box_make_sticky']; ?>" data-fadetime="<?php echo $wpob_settings_data['box_fade_in_time']; ?>" data-boxid="<?php echo $box_id; ?>" data-boxname="<?php echo $box_name; ?>" id="<?php echo uniqid('wpob_id_'); ?>">
    <div class="wpob_box_all_content_container">
        <div class="wpob_box_media_container wpob_box_media_<?php echo $wpob_default_fields['video_align']; ?>">    
            <iframe class="wpob_box_video" src="<?php echo $video_url; ?>" ></iframe>
        </div>
        <div class="wpob_box_content_container">    
            <div class="wpob_box_heading">
                <div class="wpob_box_heading_text"><?php echo $wpob_default_fields['heading_text']; ?></div>
            </div>            
            <div class="wpob_box_content">
                <?php echo $wpob_default_fields['content_text']; ?>
            </div>    
            <div class="wpob_box_button_div">
                <div style="clear: both;"></div>
                <?php if(isset($wpob_default_fields['input_remove_name_field']) && $wpob_default_fields['input_remove_name_field'] == 1) : ?>
	<input class="wpob_input_fields" id="wpob_name" value="Friend" style="display: none;" placeholder="<?php echo $wpob_default_fields['input_name_placeholder']; ?>" />
<?php else : ?>
	<input class="wpob_input_fields" id="wpob_name" value="" placeholder="<?php echo $wpob_default_fields['input_name_placeholder']; ?>" />
<?php endif; ?>
				<input class="wpob_input_fields" id="wpob_email" value="" placeholder="<?php echo $wpob_default_fields['input_email_placeholder']; ?>" />
                <button id="wpob_box_button_<?php echo $box_id; ?>" class="wpob_box_button <?php echo $wpob_default_fields['button_type']; ?>"><?php echo $wpob_default_fields['button_text']; ?></button>
                <div class="wpob_mailer_data" data-mailer-id="<?php echo $wpob_default_fields['input_mailer_id']; ?>" data-campaign-name="<?php echo $wpob_default_fields['input_campaign_name']; ?>"></div>
            </div>
        </div>    
        <div style="clear: both;"></div>
    </div>
</div>