// Admin side JS

function wpobShowHideBoxTypes(wpob_box_type) {
    switch(wpob_box_type){
            case '1'  : jQuery('.wpob_box_div').hide();
                        jQuery('.wpob_box_type_1').show();
                        wpobShowPreviewImageOnLoad(jQuery('.wpob_box_type_radio:checked').val());
                        break;
            case '2'  : jQuery('.wpob_box_div').hide();
                        jQuery('.wpob_box_type_2').show();
                        wpobShowPreviewImageOnLoad(jQuery('.wpob_box_type_radio:checked').val());
                        break;
            case '3'  : jQuery('.wpob_box_div').hide();
                        jQuery('.wpob_box_type_3').show();
                        wpobShowPreviewImageOnLoad(jQuery('.wpob_box_type_radio:checked').val());
                        break;      
            case '4'  : jQuery('.wpob_box_div').hide();
                        jQuery('.wpob_box_type_4').show();
                        wpobShowPreviewImageOnLoad(jQuery('.wpob_box_type_radio:checked').val());
                        break;
            case '5'  : jQuery('.wpob_box_div').hide();
                        jQuery('.wpob_box_type_5').show();
                        wpobShowPreviewImageOnLoad(jQuery('.wpob_box_type_radio:checked').val());
                        break;
            case '6'  : jQuery('.wpob_box_div').hide();
                        jQuery('.wpob_box_type_6').show();
                        wpobShowPreviewImageOnLoad(jQuery('.wpob_box_type_radio:checked').val());
                        break;
    }
}

function wpobShowHidePopupTypes(wpob_popup_type) {
    switch(wpob_popup_type){
            case '1'  : jQuery('.wpob_popup_div').hide();
                        jQuery('.wpob_popup_type_1').show();
                        wpobShowPreviewImageOnLoad(jQuery('.wpob_popup_type_radio:checked').val());
                        break;
            case '2'  : jQuery('.wpob_popup_div').hide();
                        jQuery('.wpob_popup_type_2').show();
                        wpobShowPreviewImageOnLoad(jQuery('.wpob_popup_type_radio:checked').val());
                        break;
            case '3'  : jQuery('.wpob_popup_div').hide();
                        jQuery('.wpob_popup_type_3').show();
                        wpobShowPreviewImageOnLoad(jQuery('.wpob_popup_type_radio:checked').val());
                        break;
                        
    }
}

function wpobShowPreviewImageOnLoad(template_id){
    var screenshotUrl = jQuery('#wpob_template_dropdown_'+template_id).find(':selected').attr("data-screenshot");
    if(jQuery('#wpob_template_dropdown_'+template_id).find(':selected').val() != '0'){
        jQuery('.wpob_template_preview_'+template_id).html('<img src="'+screenshotUrl+'" style="max-width: 100%;" />');       
    }
    else{
        jQuery('.wpob_template_preview_'+template_id).html('');
    }
}

function validateFieldsOnDocumentReady(){
            
    // If fade-in is checked

    if (jQuery('#box_fade_in').is(':checked')) {
        jQuery('#box_fade_in_time').removeAttr("disabled");
    } else {
        jQuery('#box_fade_in_time').attr("disabled", true);
    }
    
}    


(function ( $ ) {
	"use strict";

	$(function () {
            
            //On document ready
            
            $(document).ready(function(){
                
                
        	// Switch toggle
                $('.wpob_disable_switch').click(function() {
                    
                    var this_switch = $(this);
                    
                    var box_id = this_switch.attr('wpob_id');
                    var change_status_to = this_switch.attr('change_status_to');
                    
                    this_switch.hide();
                    this_switch.siblings('.wpob-disable-loading').css('display','inline-block');
                    
                    var data = {
                        action: 'disable_box',
                        box_status: change_status_to,
                        box_id: box_id
                    };

                    $.post(ajaxurl, data, function(response) {
                        var response = response.substr(response.length - 1);
                        if(response == 1){
                            this_switch.show();
                            this_switch.siblings('.wpob-disable-loading').hide();
                            this_switch.toggleClass('switch_on').toggleClass('switch_off');
                        }
                        else{
                            alert('ERROR: Reload and try again.');
                        }

                    });
                    
                });
                
                
                // Show the selected box type div
                
                wpobShowHideBoxTypes($('.wpob_box_type_radio:checked').val());
                
                // Show the selected popup type div
                
                wpobShowHidePopupTypes($('.wpob_popup_type_radio:checked').val());
                
                validateFieldsOnDocumentReady();
                
                ///////////////////////////////////////////////////////////////
                
                // Image uploader for uploading images
                
                var custom_uploader;
                
                $('#wpob_img_upload').click(function(e) {
                    e.preventDefault();
                    
                    //If the uploader object has already been created, reopen the dialog
                    if (custom_uploader) {
                        custom_uploader.open();
                        return;
                    }
                    
                    //Extend the wp.media object
                    custom_uploader = wp.media.frames.file_frame = wp.media({
                        title: wpobAdmin.choseImage,
                        button: {
                            text: wpobAdmin.choseImage
                        },
                        multiple: false
                    });

                    //When a file is selected, grab the URL and set it as the text field's value
                    custom_uploader.on('select', function() {
                        var attachment = custom_uploader.state().get('selection').first().toJSON();
                        $('#image_url').val(attachment.url);
                        $('.wpob_box_image').attr('src', attachment.url);
                    });

                    //Open the uploader dialog
                    custom_uploader.open();

                });
                
                $('#two_step_wpob_img_upload').click(function(e) {
                    e.preventDefault();
                    
                    //If the uploader object has already been created, reopen the dialog
                    if (custom_uploader) {
                        custom_uploader.open();
                        return;
                    }
                    
                    //Extend the wp.media object
                    custom_uploader = wp.media.frames.file_frame = wp.media({
                        title: wpobAdmin.choseImage,
                        button: {
                            text: wpobAdmin.choseImage
                        },
                        multiple: false
                    });

                    //When a file is selected, grab the URL and set it as the text field's value
                    custom_uploader.on('select', function() {
                        var attachment = custom_uploader.state().get('selection').first().toJSON();
                        $('#two_step_image_url').val(attachment.url);
                        var two_step_image_url = $('#two_step_image_url').val();
                        $('#wpob_two_step_optin_link').html('<img src="'+two_step_image_url+'">');
                        $("#wpob_shortcode_img_url").text(' image_url="'+two_step_image_url+'"');
                    });

                    //Open the uploader dialog
                    custom_uploader.open();

                });
                
            });
            
            //Box type selector. Show/hide box types.
            
            $(document).on('click','.wpob_box_type_radio', function(){
                    var wpob_box_type = $(this).val();
                    wpobShowHideBoxTypes(wpob_box_type);
            });
            
            //Popup type selector. Show/hide box types.
            
            $(document).on('click','.wpob_popup_type_radio', function(){
                    var wpob_popup_type = $(this).val();
                    wpobShowHidePopupTypes(wpob_popup_type);
            });
            
            // Create new box.
            
            $(document).on('click','#wpob_create_box', function(){
                    
                    $(this).attr('disabled','disabled').val(wpobAdmin.creatingBox);
                    
                    $('#wpob_error').remove();
                    $("<div class='wpob_loading'></div>").insertAfter("#wpob_create_box");
                    
                    var data = {
                        action: 'create_new_box',
                        wpob_box_name: $("#wpob_box_name").val()
                    };

                    $.post(ajaxurl, data, function(response) {
                        if(response){                            
                            $("#wpob_create_box").val(wpobAdmin.boxCreated);
                            setTimeout(function(){ window.location = window.location.href+'&step=1&id='+response },2000);
                        }
                        else
                        {
                            $('#wpob_create_box').removeAttr('disabled').val(wpobAdmin.createBox);
                            $('#wpob_error').remove();
                            $('.wpob_loading').remove();
                            $("<div id='wpob_error'>"+wpobAdmin.errorSavingToDB+"</div>").insertAfter("#wpob_create_box");
                        }

                    });
                    
            });
            
            // Update the box type and template
            
            $(document).on('change','.wpob_template_dropdown', function(){
                wpobShowPreviewImageOnLoad($('.wpob_box_type_radio:checked').val());
            });
            
            $(document).on('click','#update-box-template', function(){
                
                var dropdown_id = $(".wpob_box_type_radio:checked").val();
                var box_template = $("#wpob_template_dropdown_"+dropdown_id+" option:selected").val();
                var delete_customizations = '0';
                
                if(box_template == 0){
                    alert('Please select a template first!');
                    return false;
                }
                
                if($(this).attr('wpob_has_template') != '' && $(this).attr('wpob_has_template') != box_template){
                    if(!confirm('WARNING!\n\nChanging the template will delete all your previous box customization and text data for this box. We recommend creating a new box if you want to use a new template.\n\nPlease OK to proceed or Cancel to stop this action.')){
                        return false;
                    }
                    else{
                        var delete_customizations = '1';
                    }
                }
                
                $(this).attr('disabled','disabled').val(wpobAdmin.updatingWait);
                
                var data = {
                    action: 'update_box_template',
                    box_type: $(".wpob_box_type_radio:checked").val(),
                    box_template: box_template,
                    box_id: parseInt($(this).attr('box_id')),
                    delete_customizations: delete_customizations
                };

                $.post(ajaxurl, data, function(response) {
                    if(response > 0){
                        $('#update-box-template').removeAttr('disabled').val(wpobAdmin.savedRedirecting);
                        var redirect_to = window.location.href;
                        redirect_to = redirect_to.replace("step=1", "step=2&success=1");
                        window.location.href = redirect_to;
                    }
                    else
                    {
                        $('#update-box-template').removeAttr('disabled').val(wpobAdmin.saveAndNext);
                        $("<div class='error'><p>"+wpobAdmin.errorUpdatingDB+"</p></div>").insertAfter(".wpob_nav_buttons_step_1").fadeOut(5000, function(){$(this).remove();});
                    }

                });
            });
            
            // Box Customization : Updated in realtimeboxcustomizer.js
            
            // Box Settings
            
            $(document).on('click','#update-box-settings', function(){
                
                var box_id = parseInt(jQuery('#update-box-settings').attr('box_id'));
                
                $(this).attr('disabled','disabled').val(wpobAdmin.updatingWait);
                
                // Box name @since 1.0.3
                
                var box_name = jQuery('#box_name').val();
                
                // Box fade-in setting

                if(jQuery('#box_fade_in').is(':checked')){
                    var box_fade_in = 1;
                    var box_fade_in_time = parseInt(jQuery('#box_fade_in_time').val());
                }
                else{
                    var box_fade_in = 0;
                    var box_fade_in_time = 0;
                }

                // Box stick to top setting

                if(jQuery('#make_sticky').is(':checked')){
                    var box_make_sticky = 1;
                }
                else{
                    var box_make_sticky = 0;
                }
                
                var wpob_popup_type_radio = $('.wpob_popup_type_radio:checked').val();
                
                if(typeof wpob_popup_type_radio !== 'undefined' && wpob_popup_type_radio !== 0){
                    switch(wpob_popup_type_radio){
                        case '1' :  var wpob_popup_option_val = $('#wpob_popup_duration').val();
                                    break;
                        case '2' :  var wpob_popup_option_val = 0;
                                    break;
                        case '3' :  var wpob_popup_option_val = $('#wpob_popup_scroll_percentage').val();
                                    break;
                    }
                }
                else{
                    var wpob_popup_type_radio = 0;
                    var wpob_popup_option_val = 0;
                }

                var wpob_popup_frequency = $('#wpob_popup_frequency').val() || '10';
                var wpob_popup_test_mode = $('#wpob_popup_test_mode:checked').val() || '0';
                
                document.cookie="wpob-popup-"+box_id+"=; expires=-1;path=/";
                
                window.settingsData = {
                    action: 'update_box_settings',
                    box_name: box_name,
                    box_fade_in: box_fade_in,
                    box_fade_in_time: box_fade_in_time,
                    box_make_sticky: box_make_sticky,
                    box_id: box_id,
                    wpob_popup_type_radio : wpob_popup_type_radio,
                    wpob_popup_option_val : wpob_popup_option_val,
                    wpob_popup_frequency : wpob_popup_frequency,
                    wpob_popup_test_mode : wpob_popup_test_mode
                };

                $.post(ajaxurl, settingsData, function(response) {
                    if(response > 0){
                        $('#update-box-settings').removeAttr('disabled').val(wpobAdmin.update);
                        $('.wpob_after_finish').lightbox_me({
                            centered: true
                        });
                        $("<div class='updated'><p>"+wpobAdmin.settingsSaved+"</p></div>").insertAfter(".wpob_nav_buttons_step_3").fadeOut(5000, function(){$(this).remove();});
                    }
                    else
                    {
                        $('#update-box-settings').removeAttr('disabled').val(wpobAdmin.saveAndPublish);
                        $("<div class='error'></p>"+wpobAdmin.errorUpdatingDB+"</p></div>").insertAfter(".wpob_nav_buttons_step_3").fadeOut(5000, function(){$(this).remove();});
                    }
                });
                
            });
            
                    // Box settings stuff
                    
                    $(document).on('click','#box_fade_in', function(){
                        if ($(this).is(':checked')) {
                            $('#box_fade_in_time').removeAttr("disabled");
                        } else {
                            $('#box_fade_in_time').attr("disabled", true);
                        }
                    });
            
            // Delete Box from database
            
            $(document).on('click','.wpob_delete', function(e){
                $('.wpob-list-item-'+$(this).attr('wpob_id')).css("opacity",0.5);
                if(confirm(wpobAdmin.sureDelete)){
                    var data_del = {
                        action: 'delete_it',
                        wpob_id: $(this).attr('wpob_id')
                    };
                    $.post(ajaxurl, data_del, function(response) {
                        if(response > 0){
                            $('.wpob-list-item-'+response).fadeOut(300, function() { $(this).remove(); });
                        }
                        else{
                            alert(wpobAdmin.errorDelete);
                        }
                    
                    });
                }
                else
                    $('.wpob-list-item-'+$(this).attr('wpob_id')).css("opacity",1);
                e.preventDefault();
            });
            
            // Flush stats of a Box from database
            
            $(document).on('click','.wpob_flush', function(e){
                $('.wpob-list-item-'+$(this).attr('wpob_id')).css("opacity",0.5);
                if(confirm(wpobAdmin.flushStats)){
                    var data_flush = {
                        action: 'flush_stats',
                        wpob_id: $(this).attr('wpob_id')
                    };
                    $.post(ajaxurl, data_flush, function(response) {
                        if(response > 0){
                            location.reload();
                        }
                        else{
                            alert(wpobAdmin.errorFlush);
                            $('.wpob-list-item-'+response).css("opacity",1);
                        }
                    
                    });
                }
                else
                    $('.wpob-list-item-'+$(this).attr('wpob_id')).css("opacity",1);
                e.preventDefault();
            });
            
            // Update Global Settings Page
                
                // General Settings
            
                $(document).on('click','#update-global-settings', function(){

                    $(this).attr('disabled','disabled').val(wpobAdmin.updatingWait);

                    var wpob_boxes_list_default = $('#wpob_boxes_list_default').find(':selected').val();
                    var wpob_boxes_list_posts = $('#wpob_boxes_list_posts').find(':selected').val();
                    var wpob_boxes_list_pages = $('#wpob_boxes_list_pages').find(':selected').val();
                    
                    if($('#wpob_conversion_tracking').is(':checked')){
                        var wpob_conversion_tracking = 0;
                    }
                    else{
                        var wpob_conversion_tracking = 1;
                    }
                    
                    var data = {
                        action: 'update_global_settings',
                        wpob_conversion_tracking: wpob_conversion_tracking,
                        wpob_boxes_list_default: wpob_boxes_list_default,
                        wpob_boxes_list_posts: wpob_boxes_list_posts,
                        wpob_boxes_list_pages: wpob_boxes_list_pages
                    };

                    $.post(ajaxurl, data, function(response) {
                        if(response > 0){
                            $('#update-global-settings').removeAttr('disabled').val(wpobAdmin.update);
                            $("<div class='updated'><p>"+wpobAdmin.updatedSuccessfully+"</p></div>").insertAfter("#update-global-settings").fadeOut(5000, function(){$(this).remove();});
                        }
                        else
                        {
                            $('#update-global-settings').removeAttr('disabled').val(wpobAdmin.update);
                            $("<div class='error'><p>"+wpobAdmin.errorUpdatingDB+"</p></div>").insertAfter("#update-global-settings").fadeOut(5000, function(){$(this).remove();});
                        }

                    });
                });  
                
                // Mailer Integration
                
                $(document).on('click','.wpob_mailer', function(){
                    
                    var mailerId = $(this).data('mailer-id');                    
                    $('.wpob_mailers_option').fadeIn(300).hide();
                    $('#wpob_mailer_'+mailerId).show();

                });
                
                $(document).on('click','.wpob_mailer_cancel', function(){
                    
                    $('.wpob_mailers_option').hide();                    
                
                });
            
                // Dropdown Menu
                
                $(document).click(function(e){
                    if($(e.target).hasClass('wpob_disable_switch') || $(e.target).parents('.wpob_disable_switch').length || $(e.target).is(".wpob-boxes-menu-item > input")){   
                        return false;
                    }
                    else{
                        $(".wpob-boxes-menu").hide().removeClass('open');
                    }   
                });                
                
                $(document).on('click','.wpob-boxes-menu-toggle', function(e){
                    e.stopPropagation();
                    
                    $('.wpob-boxes-menu').hide();
                    if($(this).next().hasClass('open'))
                        $(this).next().hide().removeClass('open');
                    else{
                        $('.wpob-boxes-menu').removeClass('open');
                        $(this).next().show().addClass('open');
                    }
                });
                
                // Oops no A/B test available
                
                $(document).on('click','.wpob_no_ab_test', function(){
                    if(confirm(wpobAdmin.abTestConfirm)){
                        window.open('http://wpoptinboxes.com', '_blank');
                    }
                });
                
                // Publish popup in box settings page
                
                $(document).on('click','.wpob_publish_now', function(){
                    
                    var boxId = parseInt($(this).data('boxid'));
                    var global_placement = $('#wpob_gloabal_placement:checked').val();
                    
                    $('#wpob_after_finish_body').html("<div class='wpob_loading' style='margin: 150px 0px 0px 315px;'></div>");
                    
                    var data = {
                        action: 'publish_the_box',
                        global_placement: global_placement,
                        box_id: boxId
                    };

                    $.post(ajaxurl, data, function(response) {
                        if(response > 0){
                            $('.wpob_publish_now').hide();
                            $('#wpob_after_finish_body').html('<h1 style="margin-top: 150px; text-align: center;"><span class="fa fa-check" style="color: #1fa67a;"></span> '+wpobAdmin.boxPublished+'</h1>');
                            $('.wpob_publish_close').each(function(){
                                if($(this).text() != wpobAdmin.later){
                                    $(this).attr('onclick',"jQuery(this).parent().trigger('close');location.reload();");
                                }
                                else{
                                    $(this).text(wpobAdmin.done);
                                }
                            });
                        }
                        else{
                            $('.wpob_publish_now').hide();
                            $('#wpob_after_finish_body').html('<h1 style="margin-top: 140px; text-align: center;"><span class="fa fa-close" style="color: red;"></span> '+wpobAdmin.errorPublishing+'</h1>');
                            $('.wpob_publish_close').each(function(){
                                if($(this).text() == wpobAdmin.later){
                                    $(this).text(wpobAdmin.reload);
                                    $(this).attr('onclick',"jQuery(this).parent().trigger('close');location.reload();")
                                }
                            });
                        }

                    });
                });

                $(document).on('click','#two-step-toggle', function(){
                    $('#two-step-optin-info').lightbox_me({
                        centered: true
                    });
                });
                
                $(document).on('click','#wpob-popup-toggle', function(){
                    $('#wpob-popup-info').lightbox_me({
                        centered: true
                    });
                });
                
                $(document).on('input','#two_step_toptin_link_text', function(){
                    
                    $('.wpob_shortcode_code').show();
                    $('#wpob_shortcode_input').hide();
                    
                    if(this.value != ''){
                        $('#wpob_two_step_optin_link').text(this.value);
                        $("#wpob_shortcode_text").text(' text="'+this.value+'"');
                    }
                    else{
                        $('#wpob_two_step_optin_link').text('Click Here');
                        $("#wpob_shortcode_text").text('');
                    }
                });
                
                $(document).on('change','#two-step-optin-link-style', function(){
                    
                    $('.wpob_shortcode_code').show();
                    $('#wpob_shortcode_input').hide();
                    
                    if(this.value == 'image'){
                        $('#two_step_img').show();
                        $('#wpob_two_step_optin_link').removeClass();
                        $('#wpob_two_step_optin_link').addClass('wpob_two_step_optin_link_img');
                        var two_step_image_url = $('#two_step_image_url').val();
                        if(two_step_image_url != ''){
                            $('#wpob_two_step_optin_link').html('<img src="'+two_step_image_url+'">');
                            $("#wpob_shortcode_img_url").text(' image_url="'+two_step_image_url+'"');
                        }
                        else{
                            $('#wpob_two_step_optin_link').html('Please select an image.');
                        }
                        
                        $("#wpob_shortcode_style").text(' style="image"');
                    }
                    else{
                        $('#wpob_two_step_optin_link').removeClass();
                        $('#two_step_img').hide();
                        $("#wpob_shortcode_img_url").text('');
                        var type = this.value.split('_');
                        if(type != ''){
                            $('#wpob_two_step_optin_link').addClass('wpob_button_'+type[1]+' wpob_two_step_optin_link_'+type[0]);
                        }
                        else{
                            $('#wpob_two_step_optin_link').addClass('wpob_two_step_optin_link_'+type[0]);
                        }
                        
                        $("#wpob_shortcode_style").text(' style="'+this.value+'"');
                        var two_step_toptin_link_text = $('#two_step_toptin_link_text').val();
                        if(two_step_toptin_link_text != ''){
                            $('#wpob_two_step_optin_link').text(two_step_toptin_link_text);
                            $("#wpob_shortcode_text").text(' text="'+two_step_toptin_link_text+'"');
                        }
                        else{
                            $('#wpob_two_step_optin_link').text('Click Here');
                            $("#wpob_shortcode_text").text('');
                        }
                    }
                });
        
                $(document).on('click','.wpob_shortcode_code', function(){
                    var shortcode = $(this).text();
                    var shortcode_html = $(this).html();
                    $(this).hide();
                    $('#wpob_shortcode_input').val(shortcode);
                    $('#wpob_shortcode_input').show();
                });

                // Custom HTML Form
                
                $(document).on('click','#wpob_save_custom_list', function(){
                    
                    var custom_list_form_html = $('#custom_list_form_html').val();
                    var custom_list_name = $('#custom_list_name').val();
                    
                    if(custom_list_form_html !== '' || custom_list_name !== ''){
                    
                        var data = {
                            action: 'process_and_save_custom_html_form',
                            custom_list_form_html: custom_list_form_html,
                            custom_list_name: custom_list_name
                        };
                        $.post(ajaxurl, data, function(response) {
                            response = response.substr(response.length - 1);
                            
                            if(response == 1){
                                location.reload();
                            }
                            else
                            {
                                alert(wpobAdmin.errorProcessingCode);
                            }
                        });
                        
                    }
                    else{
                        alert(wpobAdmin.pleaseEnterDetails);
                    }
                });
                
                $(document).on('click','#wpob_delete_custom_list', function(){
                    var custom_list_id = $(this).data('custom-list-id');
                    if(confirm(wpobAdmin.deleteCustomList)){
                        var data = {
                            action: 'delete_custom_list',
                            custom_list_id: custom_list_id
                        };
                        $.post(ajaxurl, data, function(response) {
                            if(response == 1){
                                location.reload();
                            }
                            else
                            {
                                alert(wpobAdmin.errorDeletingCustom);
                            }
                        });
                    }
                });
                
                if($('#wpob_gloabal_placement').val() == 0){
                    $('.wpob_custom_box_placement_option').show();
                }
                else{
                    $('.wpob_custom_box_placement_option').hide();
                }
                
                $(document).on('change','#wpob_gloabal_placement', function(){
                    if($(this).val() == 0){
                        $('.wpob_custom_box_placement_option').show();
                    }
                    else{
                        $('.wpob_custom_box_placement_option').hide();
                    }
                });
                
                var wpob_accordion_icons = {
                    header: "fa fa-caret-down",
                    activeHeader: "fa fa-caret-up"
                };
                    
                if($("ul.wpob_customizer_accordion").length > 0){
                    $("ul.wpob_customizer_accordion").accordion({
                        heightStyle: "content",
                        collapsible: true,
                        active: false,
                        icons: wpob_accordion_icons
                    });
                }
                
                
        });

}(jQuery));