<?php
if(isset($wpob_default_fields['heading_align'])){
    switch ($wpob_default_fields['heading_align']) {
        case 'left': $heading_align_left = 'checked';
            break;
        case 'center': $heading_align_center = 'checked';
            break;
        case 'right': $heading_align_right = 'checked';
            break;
    }   
}

if(isset($wpob_default_fields['content_align'])){
    switch ($wpob_default_fields['content_align']) {
        case 'left': $content_align_left = 'checked';
            break;
        case 'center': $content_align_center = 'checked';
            break;
        case 'right': $content_align_right = 'checked';
            break;
    }
}

if(isset($wpob_default_fields['button_align'])){
    switch ($wpob_default_fields['button_align']) {
        case 'left': $button_align_left = 'checked';
            break;
        case 'center': $button_align_center = 'checked';
            break;
        case 'right': $button_align_right = 'checked';
            break;
    }
}
if(isset($wpob_default_fields['button_type'])){
    switch ($wpob_default_fields['button_type']) {
        case 'wpob_button_gradient': $button_type_gradient = 'checked';
            break;
        case 'wpob_button_3d': $button_type_3d = 'checked';
            break;
        case 'wpob_button_flat': $button_type_flat = 'checked';
            break;
    }
}

if(isset($wpob_default_fields['image_align'])){
    switch ($wpob_default_fields['image_align']) {
        case 'left': $image_align_left = 'checked';
            break;
        case 'center': $image_align_center = 'checked';
            break;
        case 'right': $image_align_right = 'checked';
            break;
    }
}

if(isset($wpob_default_fields['video_site'])){
    switch ($wpob_default_fields['video_site']) {
        case 'youtube': $video_youtube = 'checked';
            break;
        case 'vimeo': $video_vimeo = 'checked';
            break;
    }
}

if(isset($wpob_default_fields['video_align'])){
    switch ($wpob_default_fields['video_align']) {
        case 'left': $video_align_left = 'checked';
            break;
        case 'center': $video_align_center = 'checked';
            break;
        case 'right': $video_align_right = 'checked';
            break;
    }
}

if(isset($wpob_default_fields['input_remove_name_field']) && $wpob_default_fields['input_remove_name_field'] == 1){
    $input_remove_name_field = "checked";
}
else{
    $input_remove_name_field = "";
}

?>

<ul class="wpob_customizer_accordion">

<?php if (isset($wpob_default_fields['use_input']) && $wpob_default_fields['use_input'] == true) { ?>

        <li class=" " style="">
            
            <h3 class="wpob_customizer_accordion_title"><?php _e('Optin Form Settings', 'wp-optin-boxes'); ?></h3>
            <ul class="wpob_customizer_accordion_content">
                <li>
                    <label for="" class='wpob_customizer_accordion_content_label'><?php _e('Select a List/Campaign', 'wp-optin-boxes'); ?></label>
                    <?php
                        $input_mailer_id = (isset($wpob_default_fields['input_mailer_id'])) ? $wpob_default_fields['input_mailer_id'] : "";
                        $input_mailer_name = (isset($wpob_default_fields['input_campaign_name'])) ? $wpob_default_fields['input_campaign_name'] : "";
                        $this->get_mailer_campaigns_list($input_mailer_id, $input_mailer_name);
                    ?>
                    <p class="wpob_help_block"><?php _e("Select a campaign/list to which you want to add the leads generated by this box.", 'wp-optin-boxes'); ?></p>
                </li>
                <li>
                    <label for="" class='wpob_customizer_accordion_content_label'><?php _e('Input Text Size', 'wp-optin-boxes'); ?></label>
                    <label class='wpob_customizer_label'><input type="text" name="input_text_size" id="input_text_size" value="<?php echo $wpob_default_fields['input_text_size'] ?>" class="wpob_width50px"> <?php _e('(Eg. 150px)', 'wp-optin-boxes'); ?></label>
                </li>
                <li>
                    <label for="" class='wpob_customizer_accordion_content_label'><?php _e('Input Text Color', 'wp-optin-boxes'); ?></label>
                    <input type="text" name="input_text_color" id="input_text_color" value="<?php echo $wpob_default_fields['input_text_color'] ?>" data-default-color="<?php echo $wpob_default_fields['input_text_color'] ?>">
                </li>
                <li>
                    <label for="" class='wpob_customizer_accordion_content_label'><?php _e('Input font family', 'wp-optin-boxes'); ?></label>
                    <?php
                        $input_font_family = (isset($wpob_default_fields['input_font_family'])) ? $wpob_default_fields['input_font_family'] : "";
                        $this->font_families_dropdown_list($input_font_family, 'input');
                    ?>
                </li>
                <li>
                    <label for="" class='wpob_customizer_accordion_content_label'><?php _e('Remove Name Field', 'wp-optin-boxes'); ?></label>
                    <label class='wpob_customizer_label'><input type="checkbox" name="input_remove_name_field" id="input_remove_name_field" <?php echo $input_remove_name_field; ?>> Remove Name Field</label>
                    <p class="wpob_help_block"><?php _e("This will remove the Name field from the box and only Email field will be shown.", 'wp-optin-boxes'); ?></p>
                </li>
                <li>
                    <label for="" class='wpob_customizer_accordion_content_label'><?php _e('Name Field Placeholder', 'wp-optin-boxes'); ?></label>
                    <input type="text" name="input_name_placeholder" id="input_name_placeholder" value="<?php echo $wpob_default_fields['input_name_placeholder'] ?>" class="wpob_fullwidth">
                </li>                    
                <li>
                    <label for="" class='wpob_customizer_accordion_content_label'><?php _e('Email Field Placeholder', 'wp-optin-boxes'); ?></label>
                    <input type="text" name="input_email_placeholder" id="input_email_placeholder" value="<?php echo $wpob_default_fields['input_email_placeholder'] ?>" class="wpob_fullwidth">
                </li> 
                <li>
                    <label for="" class='wpob_customizer_accordion_content_label'><?php _e('Email Field Width', 'wp-optin-boxes'); ?></label>
                    <label class='wpob_customizer_label'><input type="text" name="input_width" id="input_width" value="<?php echo $wpob_default_fields['input_width'] ?>" class="wpob_width50px"> <?php _e('(Eg. 200px or 80%)', 'wp-optin-boxes'); ?></label>
                </li>
                <!-- This is some weird coding. Please bear with me. -->
                <li>
                    <label for="" class='wpob_customizer_accordion_content_label'><?php _e('Optin Form Align', 'wp-optin-boxes'); ?></label>
                    <label class='wpob_customizer_label'><input type='radio' name="button_align" id="button_align_l" class="button_align" value="left" <?php echo (isset($button_align_left)) ? $button_align_left : '' ?>><?php _e('Left', 'wp-optin-boxes'); ?></label>
                    <label class='wpob_customizer_label'><input type='radio' name="button_align" id="button_align_c" class="button_align" value="center" <?php echo (isset($button_align_center)) ? $button_align_center : '' ?>><?php _e('Center', 'wp-optin-boxes'); ?></label>
                    <label class='wpob_customizer_label'><input type='radio' name="button_align" id="button_align_r" class="button_align" value="right" <?php echo (isset($button_align_right)) ? $button_align_right : '' ?>><?php _e('Right', 'wp-optin-boxes'); ?></label>
                </li>
            </ul>

        </li>

<?php } ?>    
    
<?php if (isset($wpob_default_fields['use_heading']) && $wpob_default_fields['use_heading'] == true) { ?>

        <li class="" style="">

            <h3 class="wpob_customizer_accordion_title"><?php _e('Heading Settings', 'wp-optin-boxes'); ?></h3>
            <ul class="wpob_customizer_accordion_content">
                <li>
                    <label for="" class='wpob_customizer_accordion_content_label'><?php _e('Heading text', 'wp-optin-boxes'); ?></label>
                    <input type="text" name="heading_text" id="heading_text" value="<?php echo $wpob_default_fields['heading_text'] ?>" class="wpob_fullwidth" >
                </li>
                <li>
                    <label for="" class='wpob_customizer_accordion_content_label'><?php _e('Font family', 'wp-optin-boxes'); ?></label>
                    <?php $this->font_families_dropdown_list($wpob_default_fields['heading_font_familiy'], 'heading'); ?>
                </li>
                <li>
                    <label for="" class='wpob_customizer_accordion_content_label'><?php _e('Font size', 'wp-optin-boxes'); ?></label>
                    <label class='wpob_customizer_label'><input type="text" name="heading_font_size" id="heading_font_size" value="<?php echo $wpob_default_fields['heading_font_size'] ?>" class="wpob_width50px"> <?php _e('(Eg. 16px or 1em)', 'wp-optin-boxes'); ?></label>
                </li>
                <li>
                    <label for="" class='wpob_customizer_accordion_content_label'><?php _e('Line Height', 'wp-optin-boxes'); ?></label>
                    <label class='wpob_customizer_label'><input type="text" name="heading_line_height" id="heading_line_height" value="<?php echo $wpob_default_fields['heading_line_height'] ?>" class="wpob_width50px"> <?php _e('(Eg. 16px or 1em)', 'wp-optin-boxes'); ?></label>
                </li>
                <li>
                    <label for="" class='wpob_customizer_accordion_content_label'><?php _e('Text Color', 'wp-optin-boxes'); ?></label>
                    <input type="text" name="heading_color" id="heading_color" value="<?php echo $wpob_default_fields['heading_color'] ?>"  data-default-color="<?php echo $wpob_default_fields['heading_color'] ?>">
                </li>
                <li>
                    <label for="" class='wpob_customizer_accordion_content_label'><?php _e('Background Color', 'wp-optin-boxes'); ?></label>
                    <input type="text" name="heading_bg_color" id="heading_bg_color" value="<?php echo $wpob_default_fields['heading_bg_color'] ?>" data-default-color="<?php echo $wpob_default_fields['heading_bg_color'] ?>">
                </li>
                <li>
                    <label for="" class='wpob_customizer_accordion_content_label'><?php _e('Text Align', 'wp-optin-boxes'); ?></label>
                    <label class='wpob_customizer_label'><input type='radio' name="heading_align" id="heading_align_l" class="heading_align" value="left" <?php echo (isset($heading_align_left)) ? $heading_align_left : '' ?>><?php _e('Left', 'wp-optin-boxes'); ?></label>
                    <label class='wpob_customizer_label'><input type='radio' name="heading_align" id="heading_align_c" class="heading_align" value="center" <?php echo (isset($heading_align_center)) ? $heading_align_center : '' ?>><?php _e('Center', 'wp-optin-boxes'); ?></label>
                    <label class='wpob_customizer_label'><input type='radio' name="heading_align" id="heading_align_r" class="heading_align" value="right" <?php echo (isset($heading_align_right)) ? $heading_align_right : '' ?>><?php _e('Right', 'wp-optin-boxes'); ?></label>
                </li>
            </ul>
            
        </li>

<?php } ?>
    
<?php if (isset($wpob_default_fields['use_content']) && $wpob_default_fields['use_content'] == true) { ?>

        <li class=" " style="">

            <h3 class="wpob_customizer_accordion_title"><?php _e('Content Settings', 'wp-optin-boxes'); ?></h3>
            <ul class="wpob_customizer_accordion_content">
                <li>
                    <label for="" class='wpob_customizer_accordion_content_label'><?php _e('Content', 'wp-optin-boxes'); ?></label>
                    <textarea class="wpob_fullwidth" name="content_text" id="content_text"><?php echo esc_attr($wpob_default_fields['content_text']) ?></textarea>
                    <?php //wp_editor( $wpob_default_fields['content_text'], "content_text" , $settings = array('media_buttons' => false , 'tiny_mce' => array('theme_advanced_font_sizes' => "10px,11px,12px,13px,14px,15px,16px,17px,18px,19px,20px,21px,22px,23px,24px,25px,26px,27px,28px,29px,30px,32px,48px") , 'textarea_rows' => 5) );  ?> 
                </li>
                <li>
                    <label for="" class='wpob_customizer_accordion_content_label'><?php _e('Font family', 'wp-optin-boxes'); ?></label>
                    <?php $this->font_families_dropdown_list($wpob_default_fields['content_font_familiy'], 'content'); ?>
                </li>
                <li>
                    <label for="" class='wpob_customizer_accordion_content_label'><?php _e('Font size', 'wp-optin-boxes'); ?></label>
                    <label class='wpob_customizer_label'><input type="text" name="content_font_size" id="content_font_size" value="<?php echo $wpob_default_fields['content_font_size'] ?>" class="wpob_width50px"> <?php _e('(Eg. 16px or 1em)', 'wp-optin-boxes'); ?></label>
                </li>
                <li>
                    <label for="" class='wpob_customizer_accordion_content_label'><?php _e('Line Height', 'wp-optin-boxes'); ?></label>
                    <label class='wpob_customizer_label'><input type="text" name="content_line_height" id="content_line_height" value="<?php echo $wpob_default_fields['content_line_height'] ?>" class="wpob_width50px"> <?php _e('(Eg. 16px or 1em)', 'wp-optin-boxes'); ?></label>
                </li>
                <li>
                    <label for="" class='wpob_customizer_accordion_content_label'><?php _e('Text Color', 'wp-optin-boxes'); ?></label>
                    <input type="text" name="content_color" id="content_color" value="<?php echo $wpob_default_fields['content_color'] ?>" data-default-color="<?php echo $wpob_default_fields['content_color'] ?>">
                </li>
                <li>
                    <label for="" class='wpob_customizer_accordion_content_label'><?php _e('Text Align', 'wp-optin-boxes'); ?></label>
                    <label class='wpob_customizer_label'><input type='radio' name="content_align" id="content_align_l" class="content_align" value="left" <?php echo (isset($content_align_left)) ? $content_align_left : '' ?>><?php _e('Left', 'wp-optin-boxes'); ?></label>
                    <label class='wpob_customizer_label'><input type='radio' name="content_align" id="content_align_c" class="content_align" value="center" <?php echo (isset($content_align_center)) ? $content_align_center : '' ?>><?php _e('Center', 'wp-optin-boxes'); ?></label>
                    <label class='wpob_customizer_label'><input type='radio' name="content_align" id="content_align_r" class="content_align" value="right" <?php echo (isset($content_align_right)) ? $content_align_right : '' ?>><?php _e('Right', 'wp-optin-boxes'); ?></label>
                </li>
            </ul>

        </li>


<?php } ?>
    
    <li class=" " style="">

        <h3 class="wpob_customizer_accordion_title"><?php _e('Button Settings', 'wp-optin-boxes'); ?></h3>    
        <ul class="wpob_customizer_accordion_content">
            <li>
                <label for="" class='wpob_customizer_accordion_content_label'><?php _e('Button text', 'wp-optin-boxes'); ?></label>
                <input type="text" name="button_text" id="button_text" value="<?php echo $wpob_default_fields['button_text'] ?>">
            </li>
            <?php if (!isset($wpob_default_fields['use_input']) || $wpob_default_fields['use_input'] != true) { ?>
                <li>
                    <label for="" class='wpob_customizer_accordion_content_label'><?php _e('Button link (http://)', 'wp-optin-boxes'); ?></label>
                    <input type="text" name="button_link" id="button_link" class="wpob_fullwidth" placeholder="http://" value="<?php echo $wpob_default_fields['button_link'] ?>">
                </li>
                <li>
                    <label for="" class='wpob_customizer_accordion_content_label'><?php _e('Open link in new tab', 'wp-optin-boxes'); ?></label>
                    <label for="button_target_blank"><input type="checkbox" name="button_target_blank" id="button_target_blank" value="1" <?php echo ($wpob_default_fields['button_target_blank'] != 'false') ? 'checked' : ''; ?>/><?php _e('Open in new tab', 'wp-optin-boxes'); ?></label>
                </li>
            <?php } ?>
            <li>
                <label for="" class='wpob_customizer_accordion_content_label'><?php _e('Button Font Family', 'wp-optin-boxes'); ?></label>
                <?php $this->font_families_dropdown_list($wpob_default_fields['button_text_font_familiy'], 'button'); ?>
            </li>
            <li>
                <label for="" class='wpob_customizer_accordion_content_label'><?php _e('Button Font Size', 'wp-optin-boxes'); ?></label>
                <label class='wpob_customizer_label'><input type="text" name="button_text_font_size" id="button_text_font_size" value="<?php echo $wpob_default_fields['button_text_font_size'] ?>" class="wpob_width50px"> <?php _e('(Eg. 16px or 1em)', 'wp-optin-boxes'); ?></label>
            </li>
            <li>
                <label for="" class='wpob_customizer_accordion_content_label'><?php _e('Button Width', 'wp-optin-boxes'); ?></label>
                <label class='wpob_customizer_label'><input type="text" name="button_width" id="button_width" value="<?php echo $wpob_default_fields['button_width'] ?>" class="wpob_width50px"> <?php _e('(Eg. 150px or 100%)', 'wp-optin-boxes'); ?></label>
            </li>
            <li>
                <label for="" class='wpob_customizer_accordion_content_label'><?php _e('Button Text Color', 'wp-optin-boxes'); ?></label>
                <input type="text" name="button_text_color" id="button_text_color" value="<?php echo $wpob_default_fields['button_text_color'] ?>" data-default-color="<?php echo $wpob_default_fields['button_text_color'] ?>">
            </li>
            <li>
                <label for="" class='wpob_customizer_accordion_content_label'><?php _e('Button Background Color', 'wp-optin-boxes'); ?></label>
                <input type="text" name="button_bg_color" id="button_bg_color" value="<?php echo $wpob_default_fields['button_bg_color'] ?>"  data-default-color="<?php echo $wpob_default_fields['button_bg_color'] ?>">
            </li>
            <li>
                <label for="" class='wpob_customizer_accordion_content_label'><?php _e('Button Type', 'wp-optin-boxes'); ?></label>
                <label class='wpob_customizer_label'><input type='radio' name="button_type" id="button_type_1" class="button_type" value="wpob_button_gradient" <?php echo (isset($button_type_gradient)) ? $button_type_gradient : '' ?>><?php _e('Gradient', 'wp-optin-boxes'); ?></label>
                <label class='wpob_customizer_label'><input type='radio' name="button_type" id="button_type_2" class="button_type" value="wpob_button_3d" <?php echo (isset($button_type_3d)) ? $button_type_3d : '' ?>><?php _e('3D', 'wp-optin-boxes'); ?></label>
                <label class='wpob_customizer_label'><input type='radio' name="button_type" id="button_type_3" class="button_type" value="wpob_button_flat" <?php echo (isset($button_type_flat)) ? $button_type_flat : '' ?>><?php _e('Flat', 'wp-optin-boxes'); ?></label>
            </li>
            <li>
                <label for="" class='wpob_customizer_accordion_content_label'><?php _e('Button Border Radius', 'wp-optin-boxes'); ?></label>
                <input type="text" name="button_border_radius" id="button_border_radius" value="<?php echo $wpob_default_fields['button_border_radius'] ?>" class="wpob_width50px">
            </li>
            <?php
            // This part of code is tricky. Please don't try to understand it. 
            if (!isset($wpob_default_fields['use_input']) || $wpob_default_fields['use_input'] != true) {
            ?>
                <li>
                    <label for="" class='wpob_customizer_accordion_content_label'><?php _e('Button Align', 'wp-optin-boxes'); ?></label>
                    <label class='wpob_customizer_label'><input type='radio' name="button_align" id="button_align_l" class="button_align" value="left" <?php echo (isset($button_align_left)) ? $button_align_left : '' ?>><?php _e('Left', 'wp-optin-boxes'); ?></label>
                    <label class='wpob_customizer_label'><input type='radio' name="button_align" id="button_align_c" class="button_align" value="center" <?php echo (isset($button_align_center)) ? $button_align_center : '' ?>><?php _e('Center', 'wp-optin-boxes'); ?></label>
                    <label class='wpob_customizer_label'><input type='radio' name="button_align" id="button_align_r" class="button_align" value="right" <?php echo (isset($button_align_right)) ? $button_align_right : '' ?>><?php _e('Right', 'wp-optin-boxes'); ?></label>
                </li>
            <?php } ?>
        </ul>

    </li>


<?php if (isset($wpob_default_fields['use_image']) && $wpob_default_fields['use_image'] == true) { ?>

        <li class=" " style="">
            
            <h3 class="wpob_customizer_accordion_title"><?php _e('Image Settings', 'wp-optin-boxes'); ?></h3>    
            <ul class="wpob_customizer_accordion_content">
                <li>
                    <label for="" class='wpob_customizer_accordion_content_label'><?php _e('Image URL', 'wp-optin-boxes'); ?></label>
                    <input id="image_url" type="text" name="image_url" placeholder="http://" value="<?php echo $wpob_default_fields['image_url']; ?>" /> 
                    <input id="wpob_img_upload" align="right" class="button" type="button" value="<?php _e('Upload Image', 'wp-optin-boxes'); ?>" />
                </li>
                <li>
                    <label for="" class='wpob_customizer_accordion_content_label'><?php _e('Image Width', 'wp-optin-boxes'); ?></label>
                    <label class='wpob_customizer_label'><input type="text" name="image_width" id="image_width" value="<?php echo $wpob_default_fields['image_width'] ?>" class="wpob_width50px"> <?php _e('(Eg. 200px or 80%)', 'wp-optin-boxes'); ?></label>
                </li>                    
                <li>
                    <label for="" class='wpob_customizer_accordion_content_label'><?php _e('Image Height', 'wp-optin-boxes'); ?></label>
                    <label class='wpob_customizer_label'><input type="text" name="image_height" id="image_height" value="<?php echo $wpob_default_fields['image_height'] ?>" class="wpob_width50px"> <?php _e('(Eg. 200px)', 'wp-optin-boxes'); ?></label>
                </li>                    
                <li>
                    <label for="" class='wpob_customizer_accordion_content_label'><?php _e('Image Position', 'wp-optin-boxes'); ?></label>
                    <label class='wpob_customizer_label'><input type='radio' name="image_align" id="image_align_l" class="image_align" value="left" <?php echo (isset($image_align_left)) ? $image_align_left : '' ?>><?php _e('Left', 'wp-optin-boxes'); ?></label>
                    <label class='wpob_customizer_label'><input type='radio' name="image_align" id="image_align_c" class="image_align" value="center" <?php echo (isset($image_align_center)) ? $image_align_center : '' ?>><?php _e('Center', 'wp-optin-boxes'); ?></label>
                    <label class='wpob_customizer_label'><input type='radio' name="image_align" id="image_align_r" class="image_align" value="right" <?php echo (isset($image_align_right)) ? $image_align_right : '' ?>><?php _e('Right', 'wp-optin-boxes'); ?></label>
                </li>                    
            </ul>

        </li>


<?php } ?>

   
<?php if (isset($wpob_default_fields['use_video']) && $wpob_default_fields['use_video'] == true) { ?>

        <li class=" " style="">

            <h3 class="wpob_customizer_accordion_title"><?php _e('Video Settings', 'wp-optin-boxes'); ?></h3>    
            <ul class="wpob_customizer_accordion_content">
                <li>
                    <label for="" class='wpob_customizer_accordion_content_label'><?php _e('Video Hosted At', 'wp-optin-boxes'); ?></label>
                    <label class='wpob_customizer_label'><input type='radio' name="video_site" id="video_site_youtube" class="video_site" value="youtube" <?php echo (isset($video_youtube)) ? $video_youtube : '' ?>><?php _e('Youtube', 'wp-optin-boxes'); ?></label>
                    <label class='wpob_customizer_label'><input type='radio' name="video_site" id="video_site_vimeo" class="video_site" value="vimeo" <?php echo (isset($video_vimeo)) ? $video_vimeo : '' ?>><?php _e('Vimeo', 'wp-optin-boxes'); ?></label>
                </li>                
                <li>
                    <label for="" class='wpob_customizer_accordion_content_label'><?php _e('Video URL', 'wp-optin-boxes'); ?></label>
                    <label for="video_id" id="video_id_label"></label><input id="video_id" type="text" name="video_id" placeholder="Video id..." value="<?php echo $wpob_default_fields['video_id'] ?>" />
                </li>
                <li>
                    <label for="" class='wpob_customizer_accordion_content_label'><?php _e('Video Width', 'wp-optin-boxes'); ?></label>
                    <label class='wpob_customizer_label'><input type="text" name="video_width" id="video_width" value="<?php echo $wpob_default_fields['video_width'] ?>" class="wpob_width50px"> <?php _e('(Eg. 200px or 80%)', 'wp-optin-boxes'); ?></label>
                </li>                    
                <li>
                    <label for="" class='wpob_customizer_accordion_content_label'><?php _e('Video Height', 'wp-optin-boxes'); ?></label>
                    <label class='wpob_customizer_label'><input type="text" name="video_height" id="video_height" value="<?php echo $wpob_default_fields['video_height'] ?>" class="wpob_width50px"> <?php _e('(Eg. 200px)', 'wp-optin-boxes'); ?></label>
                </li>                    
                <li>
                    <label for="" class='wpob_customizer_accordion_content_label'><?php _e('Video Position', 'wp-optin-boxes'); ?></label>
                    <label class='wpob_customizer_label'><input type='radio' name="video_align" id="video_align_l" class="video_align" value="left" <?php echo (isset($video_align_left)) ? $video_align_left : '' ?>><?php _e('Left', 'wp-optin-boxes'); ?></label>
                    <label class='wpob_customizer_label'><input type='radio' name="video_align" id="video_align_c" class="video_align" value="center" <?php echo (isset($video_align_center)) ? $video_align_center : '' ?>><?php _e('Center', 'wp-optin-boxes'); ?></label>
                    <label class='wpob_customizer_label'><input type='radio' name="video_align" id="video_align_r" class="video_align" value="right" <?php echo (isset($video_align_right)) ? $video_align_right : '' ?>><?php _e('Right', 'wp-optin-boxes'); ?></label>
                </li>                    
            </ul>

        </li>


<?php } ?>
    
<li class=" " style="">

    <h3 class="wpob_customizer_accordion_title"><?php _e('Box Container Settings', 'wp-optin-boxes'); ?></h3>    
    <ul class="wpob_customizer_accordion_content">
        <li>
            <label for="" class='wpob_customizer_accordion_content_label'><?php _e('Box Size', 'wp-optin-boxes'); ?></label>
            <label for="box_container_width"><input type="text" name="box_container_width" id="box_container_width" value="<?php echo $wpob_default_fields['box_container_width'] ?>" class="wpob_width50px"><?php _e('Width (Eg. 200px or 80%)', 'wp-optin-boxes'); ?></label><br />
            <label for="box_container_height"><input type="text" name="box_container_height" id="box_container_height" value="<?php echo $wpob_default_fields['box_container_height'] ?>" class="wpob_width50px"><?php _e('Height (only in px)', 'wp-optin-boxes'); ?></label>
        </li>
        <li>
            <label for="" class='wpob_customizer_accordion_content_label'><?php _e('Box Background Color', 'wp-optin-boxes'); ?></label>
            <input type="text" name="box_container_bg_color" id="box_container_bg_color" value="<?php echo $wpob_default_fields['box_container_bg_color'] ?>" data-default-color="<?php echo $wpob_default_fields['box_container_bg_color'] ?>">
        </li>
        <li>
            <label for="" class='wpob_customizer_accordion_content_label'><?php _e('Spacing around the box container', 'wp-optin-boxes'); ?></label>
            <label for="box_container_top"><input type="text" name="box_container_top" id="box_container_top" value="<?php echo $wpob_default_fields['box_container_margin_top'] ?>" class="wpob_width50px"> <?php _e('Top (Eg. 20px)', 'wp-optin-boxes'); ?></label><br />
            <label for="box_container_bottom"><input type="text" name="box_container_bottom" id="box_container_bottom" value="<?php echo $wpob_default_fields['box_container_margin_bottom'] ?>" class="wpob_width50px"> <?php _e('Bottom (Eg. 20px)', 'wp-optin-boxes'); ?></label><br />
            <label for="box_container_left"><input type="text" name="box_container_left" id="box_container_left" value="<?php echo $wpob_default_fields['box_container_margin_left'] ?>" class="wpob_width50px"> <?php _e('Left (Eg. 20px)', 'wp-optin-boxes'); ?></label><br />
            <label for="box_container_right"><input type="text" name="box_container_right" id="box_container_right" value="<?php echo $wpob_default_fields['box_container_margin_right'] ?>" class="wpob_width50px"> <?php _e('Right (Eg. 20px)', 'wp-optin-boxes'); ?></label>
        </li>
        <li>
            <label for="" class='wpob_customizer_accordion_content_label'><?php _e('Box container border', 'wp-optin-boxes'); ?></label>
            <input type="text" name="box_container_border_color" id="box_container_border_color" data-default-color="<?php echo $wpob_default_fields['box_container_border_color'] ?>" value="<?php echo $wpob_default_fields['box_container_border_color'] ?>" class="wpob_width50px"><label for="box_container_border_color"><?php _e('Border Color', 'wp-optin-boxes'); ?></label><br />
            <label for="box_container_border_width"><input type="text" name="box_container_border_width" id="box_container_border_width" value="<?php echo $wpob_default_fields['box_container_border_width'] ?>" class="wpob_width50px"> <?php _e('Border Size (Eg. 2px)', 'wp-optin-boxes'); ?></label>
        </li>
    </ul>

</li>

<li class=" " style="">    
    <h3 class="wpob_customizer_accordion_title"><?php _e('Custom CSS', 'wp-optin-boxes'); ?></h3>    
    <ul class="wpob_customizer_accordion_content">
        <li>
            <label for="" class='wpob_customizer_accordion_content_label'><?php _e('Add Your Custom CSS', 'wp-optin-boxes'); ?></label>
            <textarea class="wpob_fullwidth" name="custom_css" id="custom_css"><?php echo (isset($wpob_default_fields['custom_css'])) ? esc_textarea($wpob_default_fields['custom_css']) : ''; ?></textarea>
            <p class="wpob_help_block">Can't find options to customize some elements above? Use this area to add your custom CSS for any box element. Now you have total control over box design! <b>NOTE:</b> Do not include <code>&lt;style&gt;...&lt;/style&gt;</code> tags.</p>

        </li>
    </ul>

</li>

</ul>