<?php

/*************************************
* Add/Edit page in admin area.
*************************************/

$wpob_public = WPOB_Public::get_instance();
$wpob = WPOB_Admin::get_instance();

if(isset($_GET['id'])){
    global $wpdb;
    $id = $_GET['id'];
}

if(isset($_GET['step'])){
    $step = $_GET['step'];
}
else{
    $step = null;
}

?>    
<div class="wrap wpob_main">
    
    <h2><?php if(isset($id)) { echo __('Customize' , 'wp-optin-boxes') . " : <em>".$wpob->get_box_name($id)."</em> <input type='text' value='[wpob id=\"".$id."\"]' disabled />";} else{ _e('Add New WP Optin Box' , 'wp-optin-boxes') ; } ?></h2>
    
    <?php 
    if(isset($id)){
    ?>
    
        <h2 class="nav-tab-wrapper">
            <a href="<?php echo admin_url( 'admin.php?page=' . $wpob->wpob_edit_slug )."&step=1&id=".$id; ?>" class="nav-tab <?php if((isset($step) && $step == 1) || !isset($step)) echo "nav-tab-active"; ?>"><?php _e('Step 1: Select Box Template' , 'wp-optin-boxes'); ?></a>
            <a href="<?php echo admin_url( 'admin.php?page=' . $wpob->wpob_edit_slug )."&step=2&id=".$id; ?>" class="nav-tab <?php if(isset($step) && $step == 2) echo "nav-tab-active"; ?>"><?php _e('Step 2: Customize Box' , 'wp-optin-boxes'); ?></a>
            <a href="<?php echo admin_url( 'admin.php?page=' . $wpob->wpob_edit_slug )."&step=3&id=".$id; ?>" class="nav-tab <?php if(isset($step) && $step == 3) echo "nav-tab-active"; ?>"><?php _e('Step 3: Box Settings' , 'wp-optin-boxes'); ?></a>
        </h2>
    
    <?php    
    }  
    ?>
    
    <?php if($step != 2) : ?>
    
        <div id="poststuff" class="metabox-holder has-right-sidebar">    

                <div class="inner-sidebar" id="side-info-column">
                    <?php $wpob->wpob_sidebar(); ?>
                </div>

                <div id="post-body-content">
                        <?php 
                            if(!isset($id)){
                                $wpob->wpob_edit_page_content(null,null); 
                            }  
                            else{
                                $wpob->wpob_edit_page_content($step, $id); 
                            }
                        ?>
                </div>

        </div>
    
    <?php elseif($step == 2 && $id != ''): ?>
        
        <div class="wpob_customizer_wrap">    

            <?php $wpob->wpob_edit_page_content($step, $id); ?>

        </div>
    
    <?php 
        else: 
            $wpob->wpob_edit_page_content(null,null); 
        endif; 
    ?>
    
</div>