<?php   

/*************************************
* Main admin page. Lists all boxes.
*************************************/

$wpob =  WPOB_Admin::get_instance();
$wpob_tracking = WPOB_Tracker::get_instance();

if(isset($_GET['duplicate'])){
    $dupli_box_id = $_GET['duplicate'];
    $wpob_duplicate_created = $wpob->wpob_duplicate_box($dupli_box_id);
    if($wpob_duplicate_created == true){
        echo "<div class='updated'><p>". __('Successfully Duplicated!', 'wp-optin-boxes') ."</p></div>";
    }
    else{
        echo "<div class='error'><p>". __('Box has not been duplicated. There was some error.', 'wp-optin-boxes') ."</p></div>";
    }
}

?>

<div class="wrap">
    <h2>
        <?php
        if(!isset($_GET['action']) && !isset($_GET['id'])){
             echo esc_html( get_admin_page_title() ). ' ' . __('Dashboard' , 'wp-optin-boxes') .' <a href="'.admin_url( 'admin.php?page=' . $this->wpob_edit_slug ).'" class="add-new-h2">'. __('Add New', 'wp-optin-boxes') .'</a>'; 
        }
        else{
            echo __('Detailed Conversion Stats for' , 'wp-optin-boxes'). " <em><b>".$wpob->get_box_name($_GET['id'])."</b></em>";
        }
        ?>
    </h2>
    
    <div id="poststuff" class="metabox-holder has-right-sidebar">
    
        <div class="inner-sidebar" id="side-info-column">
            <?php $wpob->wpob_sidebar(); ?>
        </div>

            <div id="post-body-content">
            <?php     
                if(!isset($_GET['allstats']) && !isset($_GET['id'])){
                    $wpob->wpob_show_boxes_list();
                }
                else{
                    if(get_option('wpob_conversion_tracking') == 0){
                        echo "Conversion Tracking has been disabled. To start tacking your conversions again, untick the <strong>Turn Off</strong> checkbox next to Conversion Tracking <a href='".admin_url( 'admin.php?page=' . $this->wpob_settings_slug )."' >here</a>.";
                    }
                    else{
                        $box_id = (isset($_GET['id'])) ? $_GET['id'] : '';
                        $action = (isset($_GET['allstats'])) ? $_GET['allstats'] : '';
                        $startdate = date('m/d/Y', strtotime('-30 days'));
                        $enddate = date("m/d/Y");
                        $box_name = $wpob->get_box_name($box_id);
            ?>
                        <i></i>
                        <div class='postbox'>
                            <h3><?php echo $box_name; ?> : <?php _e('Top 10 Performing Posts/Pages', 'wp-optin-boxes'); ?></h3>
                            <div class='inside'>
                                <p><?php _e('Top performing posts and pages on your site.', 'wp-optin-boxes'); ?></p>
                                <?php $wpob_tracking->visit_details($box_id); ?>
                            </div>
                        </div>
            <?php
                    }
                }
            ?>    
            </div>
    </div> 

</div>